SvmDoccatConfiguration (Apache OpenNLP :: Core :: ML :: LibSVM 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.ml.libsvm.doccat, class: SvmDoccatConfiguration

Package opennlp.tools.ml.libsvm.doccat

# Class SvmDoccatConfiguration

java.lang.Object
opennlp.tools.ml.libsvm.doccat.SvmDoccatConfiguration

All Implemented Interfaces:
  `Serializable`

public class SvmDoccatConfiguration extends Object implements Serializable
Configuration for SVM-based document categorization, combining the underlying SVM classifier settings with text-specific parameters for term weighting, feature selection, and feature scaling.

See Also:
  - `DocumentCategorizerSVM`
  - `TermWeightingStrategy`
  - `FeatureSelectionStrategy`
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SvmDoccatConfiguration.Builder`
  A builder for `SvmDoccatConfiguration`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FeatureSelectionStrategy`
  `getFeatureSelectionStrategy()`
  `int`
  `getMaxFeatures()`
  `double`
  `getScaleLower()`
  `double`
  `getScaleUpper()`
  `de.hhn.mi.configuration.SvmConfiguration`
  `getSvmConfiguration()`
  `TermWeightingStrategy`
  `getTermWeightingStrategy()`
  `boolean`
  `isScaleFeatures()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getSvmConfiguration

    public de.hhn.mi.configuration.SvmConfiguration getSvmConfiguration()
    Returns:
      The underlying SVM configuration for the classifier/trainer.

  - ### getTermWeightingStrategy

    public TermWeightingStrategy getTermWeightingStrategy()
    Returns:
      The term weighting strategy used to compute feature values.

  - ### getFeatureSelectionStrategy

    public FeatureSelectionStrategy getFeatureSelectionStrategy()
    Returns:
      The feature selection strategy used to reduce the feature space.

  - ### getMaxFeatures

    public int getMaxFeatures()
    Returns:
      The maximum number of features to select. A value `<= 0` means all features are retained.

  - ### isScaleFeatures

    public boolean isScaleFeatures()
    Returns:
      `true` if feature values should be scaled to the configured range.

  - ### getScaleLower

    public double getScaleLower()
    Returns:
      The lower bound of the scaling range (default: `0.0`).

  - ### getScaleUpper

    public double getScaleUpper()
    Returns:
      The upper bound of the scaling range (default: `1.0`).